## ------------------------------------------------------------------- 
## 
## Copyright (c) "2014" Dmitri Zagidulin and Basho Technologies, Inc.
##
## This file is provided to you under the Apache License,
## Version 2.0 (the "License"); you may not use this file
## except in compliance with the License.  You may obtain
## a copy of the License at
##
##   http://www.apache.org/licenses/LICENSE-2.0
##
## Unless required by applicable law or agreed to in writing,
## software distributed under the License is distributed on an
## "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
## KIND, either express or implied.  See the License for the
## specific language governing permissions and limitations
## under the License.
##
## -------------------------------------------------------------------

# Sample model to be embedded in another ActiveDocument
# See test/examples/models/address_book.rb
# See also test/unit/embedded_test.rb
class Contact
  include Riagent::ActiveDocument
  
  # Persist to a Riak::Bucket, keep track of keys via a streaming List Keys operation (not recommended)
  collection_type :riak_kv, list_keys_using: :streaming_list_keys
  
  attribute :contact_name, String
  attribute :contact_email, String
end